{
  "default-address-pools": [
    {
        "base": "172.21.0.0/16",
        "size": 24
    }
  ],
  {% if registry_mirror|length > 1 %}
  "registry-mirrors": ["{{ registry_mirror }}"],
  {% endif %}
  "metrics-addr" : "0.0.0.0:9323",
  {% if docker_mtu|length > 1 %}
  "mtu" : {{ docker_mtu }},
  {% endif %}
  "experimental" : true,
  "log-driver": "{{ log_driver }}",
  "log-opts": {
      "max-size": "{{ log_max_size }}",
      "max-file": "{{ log_max_file }}"
      },
{% if activate_nvidia|bool and nvidia_driver_exists|bool %}
  "exec-opts": ["native.cgroupdriver=cgroupfs"],
    "default-runtime": "nvidia",
    "runtimes": {
        "nvidia": {
            "path": "/usr/bin/nvidia-container-runtime",
            "runtimeArgs": []
        }
    }
{% else %}
  "exec-opts": ["native.cgroupdriver=cgroupfs"]
{% endif %}
}
